Page MenuHomeFreeBSD

[NEW PORT] audio/py-opuslib: Python bindings to the libopus, IETF low-delay audio codec
ClosedPublic

Authored by ultima on Sep 10 2017, 9:49 PM.

Details

Summary

Python bindings to the libopus, IETF low-delay audio codec.

WWW: https://github.com/onbeep/opuslib

PR\: 222038
Submitted by\: Yuri Victorovich (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs requested changes to this revision.Sep 11 2017, 5:44 AM
koobs added a subscriber: koobs.
koobs added inline comments.
audio/py-opuslib/Makefile
20 ↗(On Diff #32903)

setup.py contains a test_suite entry, so adding a test target to run unit tests is trivial, and should be added where tests are provided in the source distribution (ask upstream to include them if they're not)

do-test:
    @cd ${WRKSRC} && ${PYTHON_CMD} ${PYDISTUTILS_SETUP} test
This revision now requires changes to proceed.Sep 11 2017, 5:44 AM

New port needs entries in the Category Makefile. Other than that, and Koob's comment this is fine.

New port needs entries in the Category Makefile. Other than that, and Koob's comment this is fine.

I was planning on using the Tools/scripts/addport script to add the port which automatically adds this bit. Is this acceptable or does it require to be in the Phabricator differential?

audio/py-opuslib/Makefile
20 ↗(On Diff #32903)

Although there is a test_suite, the reason it is not in the port is due to not being provided by CHEESESHOP src like it does in github and will throw error:

ImportError: No module named tests

@ultima Thanks for clarifying. Not a blocker for commit, but ask upstream (or ask maintainer to ask upstream) to add tests/test files to the source distribution. This usually takes the form of adding entries to MANIFEST.in to include the files/dirs.

This revision is now accepted and ready to land.Sep 11 2017, 1:06 PM

Approved, obviously pending SUBDIR addition to category/Makefile

sunpoet added inline comments.
audio/py-opuslib/Makefile
17 ↗(On Diff #32903)

Please use USES=python:2.7 since we do not support any prior versions.

18 ↗(On Diff #32903)

Please sort USE_PYTHON.

audio/py-opuslib/pkg-descr
1 ↗(On Diff #32903)

This is too short.

audio/py-opuslib/pkg-descr
1 ↗(On Diff #32903)

I agree with you. I'm not really sure what else should be said though as this is all the package says upstream.

This revision now requires review to proceed.Sep 12 2017, 10:41 PM
This revision is now accepted and ready to land.Sep 13 2017, 5:34 AM
This revision was automatically updated to reflect the committed changes.